Bug 9884 - Kickstart is broken (6.1 AND 6.0)
Summary: Kickstart is broken (6.1 AND 6.0)
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-01 11:03 UTC by ronny.lampert
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-07 19:38:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ronny.lampert 2000-03-01 11:03:43 UTC
Using an ks.cfg kickstart file will confuse the installer and crash it
with many python errors spread across the screen.
Upgrading to the new net-bootdisks won't fix this.

I'm using an TESTED kickstart file from RH 6.0 and there are no syntax
changes afaik.

ON RH 6.0:
Kickstart install is asking for pcmcia floppy disk although I specified a
device for ethernet ("device ethernet eepro100) and not to use probing.

Comment 1 sharif 2000-03-06 14:10:59 UTC
my problems go along on this thread.
i'm trying to install with a static IP, over NFS, and the installer gets a
signal 11 and shuts down.
going  to various consoles, i see that the last thing it successfully does is
install the nfs modules...

this is with the newest installer disks listed in:
http://www.redhat.com/support/errata/RHEA1999045-01.html
ouch

Comment 2 Michael Fulbright 2000-03-06 16:34:59 UTC
Please include the ks.cfg file you have tried - kickstart is known to work
for a large number of users so perhaps there is a ks.cfg issue.

Comment 3 sharif 2000-03-07 05:28:59 UTC
below is it, minus comments and empty lines:

lang en_US
network --bootproto static --ip <someip> --netmask <somemask> --gateway <somegw>
--nameserver <somens>
nfs --server mrwacky.ops.cp.net /fs/redhat
keyboard us
zerombr yes
clearpart --linux
part /boot --size 25
part swap --size 127
part / --size 100
part /usr --size 1000
part /var --size 1000
part /home --size 500
part /tmp --size 1000
part /usr/local/ 500 --grow
install
mouse --kickstart generic3ps/2
timezone US/Pacific
rootpw chicken
auth --useshadow --enablemd5
lilo --location mbr
%packages
@ Base@ C Development
@ Emacs
@ Networked Workstation
@ Development Libraries
@ Kernel Development
@ Network Management Workstation
@ Mail/WWW/News Tools
@ C++ Development
%post
echo "sharif da bomb" > /tmp/liff

Comment 4 Michael Fulbright 2000-03-07 19:38:59 UTC
You have a syntax error in the line:

nfs --server mrwacky.ops.cp.net /fs/redhat

It should read:

nfs --server mrwacky.ops.cp.net --dir /fs/redhat

Comment 5 sharif 2000-03-07 20:18:59 UTC
ok, well you guys sure need to update your damn documentation.
or mebbe have a decent parser that will tell me i have an error instead of
crashing the installer ?

i'll try it and get really irate and bitter if it still doesn't work.

thanks.

-sharif

Comment 6 sharif 2000-03-08 00:34:59 UTC
nope, now i get the same shite i got with the disks before the 10-22-99 install
image bugfix:

anaconda/python pukage, and offers to enter debug mode, or reboot.

*curses*


Note You need to log in before you can comment on or make changes to this bug.